use matzo::interp::State;
use wasm_bindgen::prelude::*;

#[wasm_bindgen]
pub fn matzo_run(source: &str, seed: u64) -> String {
    let state = State::new_from_seed(seed);
    let mut buf = Vec::<u8>::new();
    if let Err(err) = state.run_with_writer(&source, &mut buf) {
        return err.to_string();
    } else {
        return String::from_utf8(buf).expect("Invalid UTF-8 somehow");
    }
}
